import httpRequest from '@/utils/axios'

// 获取岗位列表
export function getPositionList(params?: {
  name?: string
  type?: string
  education?: string
  work_locations?: string
  status?: string
  audit_status?: string
  company_name?: string
  company_email?: string
  page?: number
  limit?: number
}) {
  return httpRequest.get('/api/hr/admin/v1/positions', { params })
}

// 获取岗位详情
export function getPositionDetails(params: { id: string }) {
  return httpRequest.get(`/api/hr/admin/v1/position/${params.id}/detail`, { params })
}
// 岗位审核
export function getPositionAdult(data: { id: string; status: number }) {
  return httpRequest.post(`/api/hr/admin/v1/position/${data.id}/audit`, data)
}
// 启用禁用
export function getPositionStatus(data: { id: string; status: number }) {
  return httpRequest.post(`/api/hr/admin/v1/position/${data.id}/enable`, data)
}
